package com.tjk.entity;

import java.io.Serializable;
import java.sql.Date;

public class Meeting implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -285474793408301293L;
	
	private Integer id;
	private Integer meetingId;
	private Integer meetingType;
	private String title;
	private String agenda;
	private String description;
	private String province;
	private String city;
	private String address;
	private String enrollInfo;
	private String organizer;
	private String openDate;
	private Date pubTime;
	private String mthumbnail;
	private String thumbnail;
	private String keyword;
	private String summary;
	private Integer viewCount;
	private Integer status;
	private String guest;
	private String contact;
	private String addressInfo;
	private String organizerSecondary;
	private String organizerThird;
	private String exurl;
	private int fid;//用于判断是否收藏会议
	
	public Meeting() {
		super();
	}
	
	public Meeting(Integer id, Integer meetingId, String title, String agenda,
			String description, String province, String city, String address,
			String enrollInfo, String organizer, String openDate, Date pubTime,
			String mthumbnail, String thumbnail, String keyword,
			String summary, Integer viewCount, Integer status,Integer meetingType,String guest,
			String addressInfo,String organizerSecondary,String organizerThird) {
		super();
		this.id = id;
		this.meetingId = meetingId;
		this.title = title;
		this.agenda = agenda;
		this.description = description;
		this.province = province;
		this.city = city;
		this.address = address;
		this.enrollInfo = enrollInfo;
		this.organizer = organizer;
		this.openDate = openDate;
		this.pubTime = pubTime;
		this.mthumbnail = mthumbnail;
		this.thumbnail = thumbnail;
		this.keyword = keyword;
		this.summary = summary;
		this.viewCount = viewCount;
		this.status = status;
		this.meetingType=meetingType;
		this.guest=guest;
		this.addressInfo=addressInfo;
		this.organizerSecondary = organizerSecondary;
		this.organizerThird = organizerThird;
	}
	
	public String getAddressInfo() {
		return addressInfo;
	}

	public void setAddressInfo(String addressInfo) {
		this.addressInfo = addressInfo;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getMeetingId() {
		return meetingId;
	}
	public void setMeetingId(Integer meetingId) {
		this.meetingId = meetingId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getAgenda() {
		return agenda;
	}
	public void setAgenda(String agenda) {
		this.agenda = agenda;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getEnrollInfo() {
		return enrollInfo;
	}
	public void setEnrollInfo(String enrollInfo) {
		this.enrollInfo = enrollInfo;
	}
	public String getOrganizer() {
		return organizer;
	}
	public void setOrganizer(String organizer) {
		this.organizer = organizer;
	}
	public String getOpenDate() {
		return openDate;
	}
	public void setOpenDate(String openDate) {
		this.openDate = openDate;
	}
	public Date getPubTime() {
		return pubTime;
	}
	public void setPubTime(Date pubTime) {
		this.pubTime = pubTime;
	}
	public String getMthumbnail() {
		return mthumbnail;
	}
	public void setMthumbnail(String mthumbnail) {
		this.mthumbnail = mthumbnail;
	}
	public String getThumbnail() {
		return thumbnail;
	}
	public void setThumbnail(String thumbnail) {
		this.thumbnail = thumbnail;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public Integer getViewCount() {
		return viewCount;
	}
	public void setViewCount(Integer viewCount) {
		this.viewCount = viewCount;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getMeetingType() {
		return meetingType;
	}

	public void setMeetingType(Integer meetingType) {
		this.meetingType = meetingType;
	}

	public String getGuest() {
		return guest;
	}

	public void setGuest(String guest) {
		this.guest = guest;
	}

	public String getOrganizerSecondary() {
		return organizerSecondary;
	}

	public void setOrganizerSecondary(String organizerSecondary) {
		this.organizerSecondary = organizerSecondary;
	}

	public String getOrganizerThird() {
		return organizerThird;
	}

	public void setOrganizerThird(String organizerThird) {
		this.organizerThird = organizerThird;
	}
	
	public int getFid() {
		return fid;
	}
	public void setFid(int fid) {
		this.fid = fid;
	}

	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getExurl() {
		return exurl;
	}

	public void setExurl(String exurl) {
		this.exurl = exurl;
	}
	
}
